## squid 4.10

=== debian/changelog ===
squid (4.10-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/usr.sbin.squid: Add sections for maas-proxy, squid-deb-proxy,
      squidguard
    - d/p/90-cf.data.ubuntu.patch: Add an example refresh pattern for debs.
    - Use snakeoil certificates:
      + d/control: add ssl-cert to dependencies
      + d/p/99-ubuntu-ssl-cert-snakeoil.patch: add a note about ssl
        to the default config file
    - d/rules: Add -Wno-format-truncation to CXXFLAGS as a workaround if
      building for ppc64el. On that arch, dpkg-buildflags sets -O3 instead of
      -O2 and that triggers a format-truncation error on pcon.cc. See
      See https://bugs.squid-cache.org/show_bug.cgi?id=4875
    - d/p/drop-sysctl_h.patch: no longer include sysctl.h as it was
      deprecated in glibc 2.30 (LP #1843325)
  * Dropped:
    - d/t/control, d/t/test-squid.py: remove gopher tests, as pygopherd is
      no longer available in Focal (LP: #1858827)
      [In 4.10-1, undocumented]
    - d/t/test-squid.py, d/t/squid: switch to python3
      [In 4.10-1, undocumented]
    - d/t/control: depend on python3-minimal
      [In 4.10-1, undocumented]
    - SECURITY UPDATE: info disclosure via FTP server
      + debian/patches/CVE-2019-12528.patch: fix FTP buffers handling in
        src/clients/FtpGateway.cc.
      + CVE-2019-12528
      [Fixed upstream]
    - SECURITY UPDATE: incorrect input validation and buffer management
      + debian/patches/CVE-2020-84xx.patch: fix request URL generation in
        reverse proxy configurations in src/client_side.cc.
      + CVE-2020-8449
      + CVE-2020-8450
      [Fixed upstream]
    - SECURITY UPDATE: DoS in NTLM authentication
      + debian/patches/CVE-2020-8517.patch: improved username handling in
        src/acl/external/LM_group/ext_lm_group_acl.cc.
      + CVE-2020-8517
      [Fixed upstream]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 25 Feb 2020 15:37:55 -0300

squid (4.10-1) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release (Closes: #950641)
    - Fixes security issue SQUID-2020:1 (CVE-2020-8449) (CVE-2020-8450)
      (Closes: #950802)
    - Fixes security issue SQUID-2020:2 (CVE-2019-12528) (Closes: #950925)
    - Fixes security issue SQUID-2020:3 (CVE-2020-8517)

  * debian/NEWS
    - Fix syntax to make lintian happier

  * debian/control
    - Bumped Standards-Version to 4.5.0, no change needed

  [ Luigi Gangitano <luigi@debian.org> ]
  * debian/control
    - Drop squid3 transitional package (Closes: #940785)

 -- Luigi Gangitano <luigi@debian.org>  Tue, 10 Feb 2020 14:12:54 +0100

squid (4.9-2ubuntu4) focal; urgency=medium

  * SECURITY UPDATE: info disclosure via FTP server
    - debian/patches/CVE-2019-12528.patch: fix FTP buffers handling in
      src/clients/FtpGateway.cc.
    - CVE-2019-12528
  * SECURITY UPDATE: incorrect input validation and buffer management
    - debian/patches/CVE-2020-84xx.patch: fix request URL generation in
      reverse proxy configurations in src/client_side.cc.
    - CVE-2020-8449
    - CVE-2020-8450
  * SECURITY UPDATE: DoS in NTLM authentication
    - debian/patches/CVE-2020-8517.patch: improved username handling in
      src/acl/external/LM_group/ext_lm_group_acl.cc.
    - CVE-2020-8517

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Feb 2020 12:43:05 -0500

squid (4.9-2ubuntu3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:20:19 +0000

squid (4.9-2ubuntu2) focal; urgency=medium

  * d/t/control, d/t/test-squid.py: remove gopher tests, as pygopherd is
    no longer available in Focal (LP: #1858827)
  * d/t/test-squid.py, d/t/squid: switch to python3
  * d/t/control: depend on python3-minimal

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 08 Jan 2020 15:52:32 -0300

squid (4.9-2ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Use snakeoil certificates.
    - Add an example refresh pattern for debs.
    - d/usr.sbin.squid: Add sections for maas-proxy, squid-deb-proxy,
      squidguard
    - d/rules: Add -Wno-format-truncation to CXXFLAGS as a workaround if
      building for ppc64el. On that arch, dpkg-buildflags sets -O3 instead of
      -O2 and that triggers a format-truncation error on pcon.cc. See
      See https://bugs.squid-cache.org/show_bug.cgi?id=4875
    - d/p/drop-sysctl_h.patch: no longer include sysctl.h as it was
      deprecated in glibc 2.30 (LP #1843325)
  * Dropped:
    - d/rules: Only use -latomic with the intended architectures, instead of
      all of them. This matches what was suggested in
      https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=907106#5
      [Fixed upstream]
    - d/NEWS.debian: rename d/NEWS.debian to d/NEWS so that
      dh_installchangelogs can pick it up. dh_installchangelogs handles
      d/NEWS or d/<package>.NEWS, but not NEWS.debian.
      [Fixed upstream]
    - debian/patches/more-gcc-9-fixes.patch: switch to xstrncpy in
      lib/smblib/smblib-util.c. (LP #1835831)
      [Fixed upstream]
    - d/t/test-squid.py: test_zz_apparmor(): bail early if securityfs isn't
      mounted
      [Fixed upstream]

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Thu, 14 Nov 2019 16:33:10 -0300

squid (4.9-2) unstable; urgency=medium

  [ Andreas Hasenack <andreas@canonical.com> ]
  * debian/rules
    - Only use -latomic with the intended architectures, instead of all of them

  * debian/NEWS
    - Rename d/NEWS.debian to d/NEWS so that dh_installchangelogs can pick it

  * debian/{watch,signing-key.asc}
    - Check upstream gpg signature

  * debian/test/test-squid.py
    - Re-enable apparmor test

  [ Luigi Gangitano <luigi@debian.org> ]
  * debian/squid.rc
    - Change to --foreground while creating cache dirs to avoid SMP bug

  * debian/squid.resolvconf
    - Merge previous check for /usr being mounted before restart



=== debian/control ===
Source: squid
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
Uploaders: Santiago Garcia Mantinan <manty@debian.org>
Homepage: http://www.squid-cache.org
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/squid-team/squid.git
Vcs-Browser: https://salsa.debian.org/squid-team/squid
Build-Depends: ed, libltdl-dev, pkg-config
# The compiler dependencies are relevant for backporting.
	, g++ (>= 4.9) <!cross> | clang (>= 3.7) <!cross>
	, gcc (>= 4.9) <!cross> | clang (>= 3.7) <!cross>
	, cdbs, debhelper (>=10), dpkg-dev (>= 1.17.11~), lsb-release
	, dh-apparmor
	, libcppunit-dev
	, libcap2-dev [linux-any]
	, libdb-dev
	, libecap3-dev (>= 1.0.1-2)
	, libexpat1-dev
	, libgnutls28-dev (>= 3.5)
	, libkrb5-dev, comerr-dev
	, libldap2-dev
	, libnetfilter-conntrack-dev [linux-any]
	, libpam0g-dev
	, libsasl2-dev
	, libxml2-dev
	, nettle-dev

Package: squid
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl, ssl-cert
Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
Recommends: libcap2-bin [linux-any], ca-certificates
Provides: squid3
Description: Full featured Web Proxy cache (HTTP proxy)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.

Package: squid-common
Architecture: all
Depends: ${misc:Depends}, squid-langpack (>= 20110214-1)
Provides: squid3-common
Description: Full featured Web Proxy cache (HTTP proxy) - common files
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This package contains common files (MIB and icons)

Package: squidclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ssl-cert, ca-certificates
Provides: squid3-client
Description: Full featured Web Proxy cache (HTTP proxy) - HTTP(S) message utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This package contains a small utility that can be used to get URLs from the
 command line.

Package: squid-cgi
Architecture: any
Depends: apache2 | httpd, ${shlibs:Depends}, ${misc:Depends}
Provides: squid3-cgi
Description: Full featured Web Proxy cache (HTTP proxy) - control CGI
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This package contains a CGI program that can be used to query and administrate
 a `squid' proxy cache through a web browser.

Package: squid-purge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Full featured Web Proxy cache (HTTP proxy) - cache management utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This package contains a small utility that can be used to manage the disk cache
 from the command line.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall

DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
	DEB_LDFLAGS_MAINT_APPEND += -latomic
endif
export DEB_LDFLAGS_MAINT_APPEND
# On ppc64el, dpkg-buildflags sets -O3 instead of the usual
# -O2. This makes gcc emit a format-truncation error on
# pconn.cc. See https://bugs.squid-cache.org/show_bug.cgi?id=4875
ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),ppc64el)
  export DEB_CXXFLAGS_MAINT_APPEND = -Wno-format-truncation
endif
export DEB_BUILD_PARALLEL = yes
include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
CXX_FOR_BUILD ?= $(CXX)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

INSTALLDIR := $(CURDIR)/debian/tmp
datadir=/usr/share/squid

DEB_DH_INSTALL_SOURCEDIR := $(INSTALLDIR)
DEB_INSTALL_DOCS_squid-common := debian/copyright CONTRIBUTORS CREDITS QUICKSTART RELEASENOTES.html SPONSORS

BUILDINFO := $(shell lsb_release -si 2>/dev/null)

DEB_CONFIGURE_EXTRA_FLAGS := BUILDCXXFLAGS="$(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS)" \
		BUILDCXX=$(CXX_FOR_BUILD) \
		--with-build-environment=default \
		--enable-build-info="$(BUILDINFO) $(DEB_HOST_ARCH_OS)" \
		--datadir=/usr/share/squid \
		--sysconfdir=/etc/squid \
		--libexecdir=/usr/lib/squid \
		--mandir=/usr/share/man \
		--enable-inline \
		--disable-arch-native \
		--enable-async-io=8 \
		--enable-storeio="ufs,aufs,diskd,rock" \
		--enable-removal-policies="lru,heap" \
		--enable-delay-pools \
		--enable-cache-digests \
		--enable-icap-client \
		--enable-follow-x-forwarded-for \
		--enable-auth-basic="DB,fake,getpwnam,LDAP,NCSA,NIS,PAM,POP3,RADIUS,SASL,SMB" \
		--enable-auth-digest="file,LDAP" \
		--enable-auth-negotiate="kerberos,wrapper" \
		--enable-auth-ntlm="fake,SMB_LM" \
		--enable-external-acl-helpers="file_userip,kerberos_ldap_group,LDAP_group,session,SQL_session,time_quota,unix_group,wbinfo_group" \
		--enable-security-cert-validators="fake" \
		--enable-storeid-rewrite-helpers="file" \
		--enable-url-rewrite-helpers="fake" \
		--enable-eui \
		--enable-esi \
		--enable-icmp \
		--enable-zph-qos \
		--enable-ecap \
		--disable-translation \
		--with-swapdir=/var/spool/squid \
		--with-logdir=/var/log/squid \
		--with-pidfile=/var/run/squid.pid \
		--with-filedescriptors=65536 \
		--with-large-files \
		--with-default-user=proxy \
		--with-gnutls

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
		DEB_CONFIGURE_EXTRA_FLAGS += --enable-kqueue
endif
ifeq ($(DEB_HOST_ARCH_OS), linux)
		DEB_CONFIGURE_EXTRA_FLAGS += --enable-linux-netfilter
endif

DEB_MAKE_CLEAN_TARGET = distclean

debian/copyright: debian/copyright.Debian CREDITS
	cat $^ | sed -e "s/59 Temple Place.* Suite 330/51 Franklin St, Fifth Floor/" -e "s/MA  \?02111[^, ]*/MA 02110-1301/" -e "s/675 Mass Ave/51 Franklin St, Fifth Floor/" -e "s/Cambridge, MA 02139/Boston, MA 02110-1301/" > $@

install/squid::
	install -m 755 -g root -d $(INSTALLDIR)/usr/lib/cgi-bin
	mv $(INSTALLDIR)/etc/squid/squid.conf.documented $(INSTALLDIR)/etc/squid/squid.conf
	install -m 755 -g root -d $(INSTALLDIR)/etc/squid/conf.d
	install -m 644 -g root debian/debian.conf $(INSTALLDIR)/etc/squid/conf.d/debian.conf
	mv $(INSTALLDIR)/usr/lib/squid/cachemgr.cgi $(INSTALLDIR)/usr/lib/cgi-bin/cachemgr.cgi
	install -m 755 -g root -d $(INSTALLDIR)/etc/init.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/logrotate.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf
	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf/update-libc.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/ufw/applications.d
	install -m 755 -g root debian/squid.rc $(INSTALLDIR)/etc/init.d/squid
	install -m 755 -g root debian/squid.resolvconf $(INSTALLDIR)/etc/resolvconf/update-libc.d/squid
	install -m 644 -g root debian/squid.logrotate $(INSTALLDIR)/etc/logrotate.d/squid
	install -m 644 -g root debian/squid.ufw.profile $(INSTALLDIR)/etc/ufw/applications.d/squid
	install -m 755 -g root -d debian/squid/var/log
	install -m 755 -g root -d debian/squid/var/spool
	install -m 755 -g root -d debian/squid/var/run
	install -m 750 -o proxy -g proxy -d debian/squid/var/log/squid
	install -m 750 -o proxy -g proxy -d debian/squid/var/spool/squid
	install -m 755 -g root -d $(INSTALLDIR)/usr/share/man/man1
	mv $(INSTALLDIR)/usr/bin/purge $(INSTALLDIR)/usr/bin/squid-purge
	mv $(INSTALLDIR)/usr/share/man/man1/purge.1 $(INSTALLDIR)/usr/share/man/man1/squid-purge.1
	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/force-complain
	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/disable
	install -m 644 -g root debian/usr.sbin.squid $(INSTALLDIR)/etc/apparmor.d
	dh_apparmor --profile-name=usr.sbin.squid -psquid

## squid 4.11

=== debian/changelog ===
squid (4.11-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports (Closes: #954488)

 -- Luigi Gangitano <luigi@debian.org>  Mon, 27 Apr 2020 13:25:58 +0200

squid (4.11-2) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * Add libsystemd-dev dependency on Linux (Closes: 958708)
    - fixes systemd timeout failure during install

  [ Luigi Gangitano <luigi@debian.org> ]
  * debian/rules
    - Removed --as-needed flag

 -- Luigi Gangitano <luigi@debian.org>  Fri, 24 Apr 2020 20:49:54 +0200

squid (4.11-1) unstable; urgency=high

  * Urgency high due to security fixes

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release (Closes: #957840, #929574, #910337)
    - Fixes security issue SQUID-2019:12 (CVE-2019-12519, CVE-2019-12521)
    - Fixes security issue SQUID-2020:4 (CVE-2020-11945)

  * debian/squid3.{maintscript,postinst,postrm,preinst,rc}
    - Remove unused and obsolete scripts

  * debian/squid.{postrm,preinst}
    - Remove obsolete script logic

  * debian/squid-common.postinst
    - Remove obsolete script

  * debian/changelog
    - Add missing historic CVE references

  * debian/patches/
    - Add upstream fix for missing Debug::Extra in systemd builds

 -- Luigi Gangitano <luigi@debian.org>  Thu, 23 Apr 2020 19:34:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: squid
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
+Maintainer: Luigi Gangitano <luigi@debian.org>
 Uploaders: Santiago Garcia Mantinan <manty@debian.org>
 Homepage: http://www.squid-cache.org
 Standards-Version: 4.5.0
@@ -25,13 +24,14 @@
 	, libnetfilter-conntrack-dev [linux-any]
 	, libpam0g-dev
 	, libsasl2-dev
+	, libsystemd-dev [linux-any]
 	, libxml2-dev
 	, nettle-dev
 
 Package: squid
 Architecture: any
 Pre-Depends: adduser
-Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl, ssl-cert
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl
 Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
 Recommends: libcap2-bin [linux-any], ca-certificates
 Provides: squid3

=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall
 
-DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
 	DEB_LDFLAGS_MAINT_APPEND += -latomic
 endif
 export DEB_LDFLAGS_MAINT_APPEND
-# On ppc64el, dpkg-buildflags sets -O3 instead of the usual
-# -O2. This makes gcc emit a format-truncation error on
-# pconn.cc. See https://bugs.squid-cache.org/show_bug.cgi?id=4875
-ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),ppc64el)
-  export DEB_CXXFLAGS_MAINT_APPEND = -Wno-format-truncation
-endif
+
 export DEB_BUILD_PARALLEL = yes
 include /usr/share/dpkg/buildflags.mk
 -include /usr/share/dpkg/buildtools.mk
@@ -73,7 +67,7 @@
 		DEB_CONFIGURE_EXTRA_FLAGS += --enable-kqueue
 endif
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-		DEB_CONFIGURE_EXTRA_FLAGS += --enable-linux-netfilter
+		DEB_CONFIGURE_EXTRA_FLAGS += --enable-linux-netfilter --with-systemd
 endif
 
 DEB_MAKE_CLEAN_TARGET = distclean

## squid 4.13

=== contrib/nextstep/Makefile ===
VERSION=`pwd | sed 's"/contrib/nextstep""' | sed 's/.*-//'`
ARCHS=`grep 's%@host_cpu@%' ../../config.status | sed "s/s%@host_cpu@%\([nihs]*\)%g/\1/g" | tr a-z A-Z`

pkg:
	${MAKE} -f Makefile.real ARCHS=${ARCHS} VERSION=${VERSION} pkg

tar:
	${MAKE} -f Makefile.real ARCHS=${ARCHS} VERSION=${VERSION} tar

clean:
	${MAKE} -f Makefile.real ARCHS=${ARCHS} VERSION=${VERSION} clean

echo:
	${MAKE} -f Makefile.real ARCHS=${ARCHS} VERSION=${VERSION} echo

=== debian/changelog ===
squid (4.13-10+deb11u5) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2023-5824:
    A flaw was found in Squid. The limits applied for validation
    of HTTP response headers are applied before caching. However,
    Squid may grow a cached HTTP response header beyond the
    configured maximum size, causing a stall or crash of
    the worker process when a large header is retrieved
    from the disk cache, resulting in a denial of service.
    (Closes: #1055249)
  * Fix CVE-2023-46728:
    Due to a NULL pointer dereference bug Squid is vulnerable
    to a Denial of Service attack against Squid's Gopher gateway.
  * Fix CVE-2025-54574:
    Squid is vulnerable to a heap buffer overflow and possible
    remote code execution attack when processing URN due to
    incorrect buffer management.
  * Remove Gopher support

 -- Bastien Roucariès <rouca@debian.org>  Sun, 17 Aug 2025 19:26:48 +0200

squid (4.13-10+deb11u4) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Team.

  [ Roberto C. Sánchez ]
  * Fix CVE-2024-25111: a possible Denial of Service attack against HTTP
    Chunked decoder due to an uncontrolled recursion bug. This problem allows
    a remote attacker to cause Denial of Service when sending a crafted,
    chunked, encoded HTTP Message.
  * Fix CVE-2024-37894: due to an Out-of-bounds Write error when assigning ESI
    variables, Squid is susceptible to a Memory Corruption error. This error
    can lead to a Denial of Service attack.
  * Fix CVE-2024-45802: Disable ESI feature support.
    - Due to Input Validation, Premature Release of Resource During Expected
      Lifetime, and Missing Release of Resource after Effective Lifetime bugs,
      Squid is vulnerable to Denial of Service attacks by a trusted server
      against all clients using the proxy. This problem is fixed by changing
      the build configuration to specify the --disable-esi option.

  [ Jochen Sprickerhof ]
  * Fix patch for CVE-2024-25111 and use -std=c++17

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 11 Mar 2025 10:31:43 +0100

squid (4.13-10+deb11u3) bullseye-security; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2023-46724, CVE-2023-46846, CVE-2023-46847 CVE-2023-49285,
    CVE-2023-49286, CVE-2023-50269, CVE-2024-23638, CVE-2024-25617.
  * Several security vulnerabilities have been discovered in Squid, a full
    featured web proxy cache. Due to programming errors in Squid's HTTP request
    parsing, remote attackers may be able to execute a denial of service attack
    by sending large X-Forwarded-For header or trigger a stack buffer overflow
    while performing HTTP Digest authentication. Other issues facilitate
    request smuggling past a firewall or a denial of service against Squid's
    Helper process management.
    In regard to CVE-2023-46728: Please note that support for the Gopher
    protocol has simply been removed in future Squid versions. There are no
    plans by the upstream developers of Squid to fix this issue. We recommend
    to reject all Gopher URL requests instead.

 -- Markus Koschany <apo@debian.org>  Thu, 07 Mar 2024 20:52:04 +0100

squid (4.13-10+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Exposure of Sensitive Information in Cache Manager (CVE-2022-41317)
    (Closes: #1020587)
  * Buffer Over Read in SSPI and SMB Authentication (CVE-2022-41318)
    (Closes: #1020586)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Sep 2022 15:13:57 +0200

squid (4.13-10+deb11u1) bullseye-security; urgency=medium

  * Add patch to fix a Denial of Service in Gopher Processing.
    Fixes: CVE-2021-46784.
  * Add patch to fix Out-Of-Bounds memory access in WCCPv2.
    Fixes: CVE-2021-28116.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 25 Jun 2022 23:43:32 +0200

squid (4.13-10) unstable; urgency=medium

  [ Francisco Vilmar Cardoso Ruviaro ]
  * Add debian/patches/0007-CVE-2021-28651.patch to fix a Denial
    of Service in URN processing. (Closes: #988893, CVE-2021-28651)

  [ Santiago Garcia Mantinan ]
  * Add patch to fix a Denial of Service in HTTP Response Processing.
    Fixes: CVE-2021-28662. Closes: #988891.
  * Add patch to fix a Denial of Service issue in Cache Manager.
    Fixes: CVE-2021-28652. Closes: #988892.
  * Add patch to fix Multiple Issues in HTTP Range header.
    Fixes: CVE-2021-31806 CVE-2021-31807 CVE-2021-31808. Closes: #989043.
  * Add patch to fix a Denial of Service in HTTP Response processing.
    Fixes: GHSA-572g-rvwr-6c7f.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 28 May 2021 12:28:20 +0200

squid (4.13-9) unstable; urgency=medium

  * Clarify on NEWS and scripts that we no longer remove logs on purge.
  * Clarify on postrm script that the debhelper code was put manually.
  * Add README.Debian to squid-openssl.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 23 Mar 2021 00:18:11 +0100

squid (4.13-8) unstable; urgency=medium

  * Add SQUID-2020_11.patch to fix HTTP Request Smuggling.
    Fixes: CVE-2020-25097. Closes: #985068.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 21 Mar 2021 00:58:29 +0100

squid (4.13-7) unstable; urgency=medium

  * Add full postrm scripts while we don't solve #984897 on debhelper.
    Closes: #984880.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 10 Mar 2021 09:19:32 +0100

squid (4.13-6) unstable; urgency=medium

  * Stop removing cache and config file on postrm. Closes: #984510.
  * Increase debhelper build dependency to 12.8 as we need that from -5.
  * Add NEWS note on the problem with purge on previous versions.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 04 Mar 2021 14:45:00 +0100

squid (4.13-5) unstable; urgency=high

  * Have a deeper look and change all dpkg-buildpackage commands
    for similar dh ones. At least at home it works now.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 08 Feb 2021 21:35:48 +0100



=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Luigi Gangitano <luigi@debian.org>
 Uploaders: Santiago Garcia Mantinan <manty@debian.org>
 Homepage: http://www.squid-cache.org
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/squid-team/squid.git
 Vcs-Browser: https://salsa.debian.org/squid-team/squid
 Build-Depends: ed, libltdl-dev, pkg-config
 # The compiler dependencies are relevant for backporting.
 	, g++ (>= 4.9) <!cross> | clang (>= 3.7) <!cross>
 	, gcc (>= 4.9) <!cross> | clang (>= 3.7) <!cross>
-	, cdbs, debhelper (>=10), dpkg-dev (>= 1.17.11~), lsb-release
+	, debhelper (>=12.8), dpkg-dev (>= 1.17.11~), lsb-release
 	, dh-apparmor
 	, libcppunit-dev
 	, libcap2-dev [linux-any]
@@ -27,20 +27,35 @@
 	, libsystemd-dev [linux-any]
 	, libxml2-dev
 	, nettle-dev
+	, libssl-dev
 
 Package: squid
 Architecture: any
-Pre-Depends: adduser
+Pre-Depends: ${misc:Pre-Depends}, adduser
 Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl
 Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
 Recommends: libcap2-bin [linux-any], ca-certificates
+Conflicts: squid-openssl
 Provides: squid3
-Description: Full featured Web Proxy cache (HTTP proxy)
+Description: Full featured Web Proxy cache (HTTP proxy GnuTLS flavour)
+ Squid is a high-performance proxy caching server for web clients, supporting
+ FTP, gopher, ICY and HTTP data objects.
+
+Package: squid-openssl
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl
+Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
+Recommends: libcap2-bin [linux-any], ca-certificates
+Conflicts: squid
+Provides: squid3
+Description: Full featured Web Proxy cache (HTTP proxy OpenSSL flavour)
  Squid is a high-performance proxy caching server for web clients, supporting
  FTP, gopher, ICY and HTTP data objects.
 
 Package: squid-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, squid-langpack (>= 20110214-1)
 Provides: squid3-common
 Description: Full featured Web Proxy cache (HTTP proxy) - common files

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -std=c++17
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
 	DEB_LDFLAGS_MAINT_APPEND += -latomic
@@ -9,12 +10,7 @@
 export DEB_LDFLAGS_MAINT_APPEND
 
 export DEB_BUILD_PARALLEL = yes
-include /usr/share/dpkg/buildflags.mk
--include /usr/share/dpkg/buildtools.mk
 CXX_FOR_BUILD ?= $(CXX)
-
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/autotools.mk
 
 INSTALLDIR := $(CURDIR)/debian/tmp
 datadir=/usr/share/squid
@@ -50,18 +46,19 @@
 		--enable-storeid-rewrite-helpers="file" \
 		--enable-url-rewrite-helpers="fake" \
 		--enable-eui \
-		--enable-esi \
 		--enable-icmp \
 		--enable-zph-qos \
 		--enable-ecap \
 		--disable-translation \
 		--with-swapdir=/var/spool/squid \
 		--with-logdir=/var/log/squid \
-		--with-pidfile=/var/run/squid.pid \
+		--with-pidfile=/run/squid.pid \
 		--with-filedescriptors=65536 \
 		--with-large-files \
-		--with-default-user=proxy \
-		--with-gnutls
+		--with-default-user=proxy
+
+## CVE-2024-45802
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-esi
 
 ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
 		DEB_CONFIGURE_EXTRA_FLAGS += --enable-kqueue
@@ -72,33 +69,104 @@
 
 DEB_MAKE_CLEAN_TARGET = distclean
 
-debian/copyright: debian/copyright.Debian CREDITS
-	cat $^ | sed -e "s/59 Temple Place.* Suite 330/51 Franklin St, Fifth Floor/" -e "s/MA  \?02111[^, ]*/MA 02110-1301/" -e "s/675 Mass Ave/51 Franklin St, Fifth Floor/" -e "s/Cambridge, MA 02139/Boston, MA 02110-1301/" > $@
+%:
+	dh $@
 
-install/squid::
+override_dh_auto_configure:
+	mkdir -p debian/build-openssl
+	# copy the source to build-openssl
+	tar -cf - --exclude=debian/build* --exclude=.pc . \
+		| tar -xf - -C debian/build-openssl
+	# run buildconf and make sure to copy the patched ltmain.sh
+	#for flavour in build build-gnutls build-nss; do \
+	#	(cd debian/$$flavour && ./buildconf && cp ../../ltmain.sh .) \
+	#done
+	dh_auto_configure -- ${DEB_CONFIGURE_EXTRA_FLAGS} \
+		--with-gnutls
+	cd debian/build-openssl && dh_auto_configure -- ${DEB_CONFIGURE_EXTRA_FLAGS} \
+		--with-openssl \
+		--enable-ssl-crtd
+
+override_dh_auto_build:
+	dh_auto_build
+	cd debian/build-openssl && dh_auto_build
+
+override_dh_auto_test:
+	-dh_auto_test
+	-cd debian/build-openssl && dh_auto_test
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_auto_install --destdir=$(INSTALLDIR)-openssl -- -C debian/build-openssl
+
+override_dh_installinit:
+	dh_installinit -psquid
+	dh_installinit -psquid-openssl --name=squid
+        
+execute_after_dh_auto_install:
 	install -m 755 -g root -d $(INSTALLDIR)/usr/lib/cgi-bin
-	mv $(INSTALLDIR)/etc/squid/squid.conf.documented $(INSTALLDIR)/etc/squid/squid.conf
+	install -m 755 -g root -d $(INSTALLDIR)-openssl/usr/lib/cgi-bin
+	install -m 644 $(INSTALLDIR)/etc/squid/squid.conf.documented $(INSTALLDIR)-openssl/etc/squid/squid.conf
+	install -m 644 $(INSTALLDIR)/etc/squid/squid.conf.documented $(INSTALLDIR)/etc/squid/squid.conf
 	install -m 755 -g root -d $(INSTALLDIR)/etc/squid/conf.d
+	install -m 755 -g root -d $(INSTALLDIR)-openssl/etc/squid/conf.d
 	install -m 644 -g root debian/debian.conf $(INSTALLDIR)/etc/squid/conf.d/debian.conf
+	install -m 644 -g root debian/debian.conf $(INSTALLDIR)-openssl/etc/squid/conf.d/debian.conf
+	rm $(INSTALLDIR)-openssl/usr/lib/squid/cachemgr.cgi
 	mv $(INSTALLDIR)/usr/lib/squid/cachemgr.cgi $(INSTALLDIR)/usr/lib/cgi-bin/cachemgr.cgi
-	install -m 755 -g root -d $(INSTALLDIR)/etc/init.d
+	install -m 755 -g root -d $(INSTALLDIR)-openssl/etc/init.d
+	install -m 755 -g root -d $(INSTALLDIR)-openssl/etc/logrotate.d
+	install -m 755 -g root -d $(INSTALLDIR)-openssl/etc/resolvconf
+	install -m 755 -g root -d $(INSTALLDIR)-openssl/etc/resolvconf/update-libc.d
+	install -m 755 -g root -d $(INSTALLDIR)-openssl/etc/ufw/applications.d
+	#install -m 755 -g root -d $(INSTALLDIR)/etc/init.d
 	install -m 755 -g root -d $(INSTALLDIR)/etc/logrotate.d
 	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf
 	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf/update-libc.d
 	install -m 755 -g root -d $(INSTALLDIR)/etc/ufw/applications.d
-	install -m 755 -g root debian/squid.rc $(INSTALLDIR)/etc/init.d/squid
+	install -m 755 -g root debian/squid.resolvconf $(INSTALLDIR)-openssl/etc/resolvconf/update-libc.d/squid
+	install -m 644 -g root debian/squid.logrotate $(INSTALLDIR)-openssl/etc/logrotate.d/squid
+	install -m 644 -g root debian/squid.ufw.profile $(INSTALLDIR)-openssl/etc/ufw/applications.d/squid
 	install -m 755 -g root debian/squid.resolvconf $(INSTALLDIR)/etc/resolvconf/update-libc.d/squid
 	install -m 644 -g root debian/squid.logrotate $(INSTALLDIR)/etc/logrotate.d/squid
 	install -m 644 -g root debian/squid.ufw.profile $(INSTALLDIR)/etc/ufw/applications.d/squid
+	install -m 755 -g root -d debian/squid-openssl/var/log
+	install -m 755 -g root -d debian/squid-openssl/var/spool
 	install -m 755 -g root -d debian/squid/var/log
 	install -m 755 -g root -d debian/squid/var/spool
-	install -m 755 -g root -d debian/squid/var/run
+	install -m 750 -o proxy -g proxy -d debian/squid-openssl/var/log/squid
+	install -m 750 -o proxy -g proxy -d debian/squid-openssl/var/spool/squid
 	install -m 750 -o proxy -g proxy -d debian/squid/var/log/squid
 	install -m 750 -o proxy -g proxy -d debian/squid/var/spool/squid
+	install -m 755 -g root -d $(INSTALLDIR)-openssl/usr/share/man/man1
 	install -m 755 -g root -d $(INSTALLDIR)/usr/share/man/man1
+	rm $(INSTALLDIR)-openssl/usr/bin/purge
+	rm $(INSTALLDIR)-openssl/usr/share/man/man1/purge.1
 	mv $(INSTALLDIR)/usr/bin/purge $(INSTALLDIR)/usr/bin/squid-purge
 	mv $(INSTALLDIR)/usr/share/man/man1/purge.1 $(INSTALLDIR)/usr/share/man/man1/squid-purge.1
+	install -m 755 -g root -d $(INSTALLDIR)-openssl/etc/apparmor.d/force-complain
+	install -m 755 -g root -d $(INSTALLDIR)-openssl/etc/apparmor.d/disable
 	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/force-complain
 	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/disable
+	install -m 644 -g root debian/usr.sbin.squid $(INSTALLDIR)-openssl/etc/apparmor.d
 	install -m 644 -g root debian/usr.sbin.squid $(INSTALLDIR)/etc/apparmor.d
+	dh_apparmor --profile-name=usr.sbin.squid -psquid-openssl
 	dh_apparmor --profile-name=usr.sbin.squid -psquid
+
+override_dh_install:
+	dh_install -psquid -psquid-common -psquidclient -psquid-cgi -psquid-purge \
+		--sourcedir=$(INSTALLDIR)
+	dh_install -psquid-openssl \
+		--sourcedir=$(INSTALLDIR)-openssl
+
+override_dh_installsystemd:
+	dh_installsystemd -psquid-openssl --name=squid
+	dh_installsystemd -psquid
+
+override_dh_auto_clean:
+	$(RM) -r debian/build* debian/tmp*
+	dh_auto_clean
+
+debian/copyright: debian/copyright.Debian CREDITS
+	cat $^ | sed -e "s/59 Temple Place.* Suite 330/51 Franklin St, Fifth Floor/" -e "s/MA  \?02111[^, ]*/MA 02110-1301/" -e "s/675 Mass Ave/51 Franklin St, Fifth Floor/" -e "s/Cambridge, MA 02139/Boston, MA 02110-1301/" > $@
+

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
http://www.squid-cache.org/Versions/v4/squid-([\.\d]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## squid 5.2

=== debian/changelog ===
squid (5.2-1ubuntu4) jammy; urgency=medium

  * Do not enable openssl as a default. This hinders packaging since we ship
    squid in two different flavours (gnutls and openssl). Drop
    d/p/openssl3-Detect-and-default-enable-OpenSSL-3.patch. (LP: #1968200)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 12 Apr 2022 23:41:41 -0300

squid (5.2-1ubuntu3) jammy; urgency=medium

  * Fix FTBFS with OpenSSL 3.0 (LP: #1946205).  The following new
    patches have been added:
    - d/p/openssl3-Declaration-of-CRYPTO_EX_dup-changed-again-in-3.0.patch.
    - d/p/openssl3-Detect-and-default-enable-OpenSSL-3.patch.
    - d/p/openssl3-Fix-EVP_PKEY_get0_RSA-is-deprecated.patch.
    - d/p/openssl3-Initial-DH-conversion-to-EVP_PKEY.patch.
    - d/p/openssl3-Refactor-Ssl-createSslPrivateKey.patch.
    - d/p/openssl3-Remove-stale-TODO-and-comment.patch.
    - d/p/openssl3-SSL_OP_-macro-definitions-changed-in-3.0.patch.
    - d/p/openssl3-Switch-to-BN_rand.patch.
    - d/p/openssl3-TODO-Upgrade-API-calls-verifying-loaded-DH-params-fi.patch.
    - d/p/openssl3-Tweak-RSA-key-generator.patch.
    - d/p/openssl3-Update-ECDH-key-settings.patch.
    - d/p/openssl3-Update-license-disclaimer.patch.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 08 Feb 2022 17:15:20 -0500

squid (5.2-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:19:10 +0000

squid (5.2-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946903). Remaining changes:
    - d/usr.sbin.squid: Add sections for squid-deb-proxy and
      squidguard
    - d/p/90-cf.data.ubuntu.patch: Add refresh patterns for deb
      packaging
    - Use snakeoil certificates:
      + d/control: add ssl-cert to dependencies
      + d/p/99-ubuntu-ssl-cert-snakeoil.patch: add a note about ssl
        to the default config file
    - d/rules, d/NEWS: drop the NIS basic auth helper (LP #1895694)
    - Fix FTBFS with GCC 11 (LP #1939352)
      + d/p/expand-max-pkt-sz-accomodate-icmphdr.patch: Expand
        MAX_PKT{4,6}_SZ to accomodate for icmp{,6_}hdr.
      + d/p/workaround-gcc11-wstringop-overread-bug.patch: Workaround
        GCC 11 -Wstringop-overread bug.
  * Dropped changes:
    - d/p/0008-Fix-free-nonheap-object-warning-error-on-snmp_core.c.patch:
      Fix call to free on nonheap-object in snmpCreateOidFromStr
      [ Incorporated by upstream. ]
    - Fix failure to build on RISC-V (LP #1934891)
      [ Incorporated by upstream. ]
    - SECURITY UPDATE: information disclosure via OOB read in WCCP protocol
      + debian/patches/CVE-2021-28116.patch: validate packets better in
        src/wccp2.cc.
      + CVE-2021-28116
      [ Incorporated by upstream. ]
    - Fix FTBFS with GCC 11 (LP #1939352)
      + d/p/replace-cbdata-offset-hack-with-offsetof.patch: Replace
        cbdata::Offset hack with offsetof().
      + d/p/add-missing-limits-include-connmark.patch: Add missing
        <limits> include to src/acl/ConnMark.cc.
      [ Incorporated by upstream.  This is a partial drop; the other
        two patches that compose this fix are still present in this
        release. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 01 Nov 2021 18:19:59 -0400

squid (5.2-1) unstable; urgency=medium

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release (Closes: #986804, #976131)
    Fixes: CVE-2021-28116. Out-Of-Bounds memory access in WCCPv2
    Fixes: CVE-2021-41611. Improper Certificate Validation of TLS server
    certificates

  [ L.P.H. van Belle <belle@bazuin.nl> ]
  * debian/rules
    - polish override_dh_installsystemd action to match other sequences

  * debian/NEWS
    - bump version number to make Lintian happy

 -- Luigi Gangitano <luigi@debian.org>  Sat,  9 Oct 2021 17:03:54 +0200

squid (5.1-2) unstable; urgency=medium

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release (Closes: #984351, #943692)

  * debian/control
    - switch build-dep to libtdb-dev. libdb is deprecated
    - Bumped Standards-Version to 4.6.0, no change needed

  * debian/patches/
    - refresh patches for new version
    - fix 0001-Default-configuration-file-for-debian.patch (Closes: #970025)
    - add 0004-Change-default-Makefiles-for-debian.patch
      to fix FTBFS 'cp: cannot create regular file tests/stub_*.cc'

  * debian/rules
    - remove basic_nis_auth helper

  * Drop squid3 upgrade compatibility. Debian has not contained
    a squid3 package for at least two full release cycles.

 -- Luigi Gangitano <luigi@debian.org>  Fri, 17 Sep 2021 09:27:54 +0200

squid (4.13-10ubuntu5) impish; urgency=medium

  * SECURITY UPDATE: information disclosure via OOB read in WCCP protocol
    - debian/patches/CVE-2021-28116.patch: validate packets better in
      src/wccp2.cc.
    - CVE-2021-28116

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Oct 2021 08:20:07 -0400

squid (4.13-10ubuntu4) impish; urgency=medium

  * Fix FTBFS with GCC 11 (LP: #1939352)
    - d/p/add-missing-limits-include-connmark.patch: Add missing
      <limits> include to src/acl/ConnMark.cc.
    - d/p/fix-max-pkt-sz-for-icmpEchoData-padding.patch.patch: Expand
      MAX_PKT{4,6}_SZ to accomodate for icmp{,6_}hdr.
    - d/p/replace-cbdata-offset-hack-with-offsetof.patch: Replace
      cbdata::Offset hack with offsetof().
    - d/p/workaround-gcc11-wstringop-overread-bug.patch: Workaround
      GCC 11 -Wstringop-overread bug.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 20 Aug 2021 00:19:41 -0400

squid (4.13-10ubuntu3) impish; urgency=medium

  * Fix failure to build on RISC-V (LP: #1934891)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 07 Jul 2021 14:11:51 +0200

squid (4.13-10ubuntu2) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 18:09:05 -0400



=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall
-export DEB_CXXFLAGS_MAINT_APPEND = -std=c++17
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
 	DEB_LDFLAGS_MAINT_APPEND += -latomic
@@ -37,7 +36,7 @@
 		--enable-cache-digests \
 		--enable-icap-client \
 		--enable-follow-x-forwarded-for \
-		--enable-auth-basic="DB,fake,getpwnam,LDAP,NCSA,NIS,PAM,POP3,RADIUS,SASL,SMB" \
+		--enable-auth-basic="DB,fake,getpwnam,LDAP,NCSA,PAM,POP3,RADIUS,SASL,SMB" \
 		--enable-auth-digest="file,LDAP" \
 		--enable-auth-negotiate="kerberos,wrapper" \
 		--enable-auth-ntlm="fake,SMB_LM" \
@@ -46,6 +45,7 @@
 		--enable-storeid-rewrite-helpers="file" \
 		--enable-url-rewrite-helpers="fake" \
 		--enable-eui \
+		--enable-esi \
 		--enable-icmp \
 		--enable-zph-qos \
 		--enable-ecap \
@@ -56,9 +56,6 @@
 		--with-filedescriptors=65536 \
 		--with-large-files \
 		--with-default-user=proxy
-
-## CVE-2024-45802
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-esi
 
 ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
 		DEB_CONFIGURE_EXTRA_FLAGS += --enable-kqueue
@@ -102,7 +99,7 @@
 override_dh_installinit:
 	dh_installinit -psquid
 	dh_installinit -psquid-openssl --name=squid
-        
+
 execute_after_dh_auto_install:
 	install -m 755 -g root -d $(INSTALLDIR)/usr/lib/cgi-bin
 	install -m 755 -g root -d $(INSTALLDIR)-openssl/usr/lib/cgi-bin
@@ -160,8 +157,8 @@
 		--sourcedir=$(INSTALLDIR)-openssl
 
 override_dh_installsystemd:
+	dh_installsystemd -psquid
 	dh_installsystemd -psquid-openssl --name=squid
-	dh_installsystemd -psquid
 
 override_dh_auto_clean:
 	$(RM) -r debian/build* debian/tmp*

## squid 5.6

=== debian/changelog ===
squid (5.6-1ubuntu3) kinetic; urgency=medium

  * SECURITY UPDATE: Exposure of Sensitive Information in Cache Manager
    - debian/patches/CVE-2022-41317.patch: fix typo in ACL in
      src/cf.data.pre.
    - CVE-2022-41317
  * SECURITY UPDATE: Buffer Over Read in SSPI and SMB Authentication
    - debian/patches/CVE-2022-41318.patch: improve checks in
      lib/ntlmauth/ntlmauth.cc.
    - CVE-2022-41318

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 23 Sep 2022 08:02:41 -0400

squid (5.6-1ubuntu2) kinetic; urgency=medium

  * d/t/upstream-test-suite: Also export DEB_*_MAINT_APPEND variables
    here. (LP: #1988217)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 30 Aug 2022 19:32:59 -0400

squid (5.6-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971325). Remaining changes:
    - d/usr.sbin.squid: Add sections for squid-deb-proxy and
      squidguard
    - d/p/90-cf.data.ubuntu.patch: Add refresh patterns for deb
      packaging
    - Use snakeoil certificates:
      + d/control: add ssl-cert to dependencies
      + d/p/99-ubuntu-ssl-cert-snakeoil.patch: add a note about ssl
        to the default config file
    - d/rules, d/NEWS: drop the NIS basic auth helper (LP #1895694)
    - Fix FTBFS with GCC 11 (LP #1939352)
      + d/p/fix-max-pkt-sz-for-icmpEchoData-padding.patch: Fix
        MAX_PKT{4,6}_SZ to account for icmpEchoData padding.
  * Drop changes:
    - Fix FTBFS with OpenSSL 3.0 (LP #1946205).  The following new
      patches have been added:
      + d/p/openssl3-Declaration-of-CRYPTO_EX_dup-changed-again-in-3.0.patch.
      + d/p/openssl3-Detect-and-default-enable-OpenSSL-3.patch.
      + d/p/openssl3-Fix-EVP_PKEY_get0_RSA-is-deprecated.patch.
      + d/p/openssl3-Initial-DH-conversion-to-EVP_PKEY.patch.
      + d/p/openssl3-Refactor-Ssl-createSslPrivateKey.patch.
      + d/p/openssl3-Remove-stale-TODO-and-comment.patch.
      + d/p/openssl3-SSL_OP_-macro-definitions-changed-in-3.0.patch.
      + d/p/openssl3-Switch-to-BN_rand.patch.
      + d/p/openssl3-TODO-Upgrade-API-calls-verifying-loaded-DH-params-fi.patch.
      + d/p/openssl3-Tweak-RSA-key-generator.patch.
      + d/p/openssl3-Update-ECDH-key-settings.patch.
      + d/p/openssl3-Update-license-disclaimer.patch.
      [ Incorporated by Debian. ]
    - SECURITY UPDATE: Denial of Service in Gopher Processing
      + debian/patches/CVE-2021-46784.patch: improve handling of Gopher
        responses in src/gopher.cc.
      [ Incorporated by upstream. ]
    - Fix FTBFS with GCC 11 (LP #1939352)
      + d/p/workaround-gcc11-wstringop-overread-bug.patch: Workaround
        GCC 11 -Wstringop-overread bug.
      [ Not needed anymore. ]
  * Add changes:
    - d/p/0009-Fix-Werror-alloc-size-larger-than-on-GCC-12.patch:
      Fix FTBFS due to -Werror=alloc-size-larger-than on GCC 12.
      [ Forwarded upstream ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 11 Aug 2022 17:13:45 -0400

squid (5.6-1) unstable; urgency=high

  * Urgency high due to security fixes

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release
    Fixes: CVE-2021-46784. Denial of Service in Gopher Processing

 -- Luigi Gangitano <luigi@debian.org>  Sun, 19 Jun 2022 13:39:54 +0200

squid (5.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Nicholas Guriev ]
  * Fixing build against OpenSSL 3.0 (Closes: #1005650, LP: #1946205)

  * debian/rules
    - Do not fail on errors about deprecated declarations from OpenSSL.
    - Remove -Wall in CFLAGS from the debian/rules file since upstream build
      scripts already pass this flag.

  * debian/patches/
    - New 0006-Fix-build-against-OpenSSL-3-0.patch

  [ Simon Deziel ]
  * apparmor: allow reading /etc/ssl/openssl.cnf

 -- Nicholas Guriev <guriev-ns@ya.ru>  Tue, 31 May 2022 23:13:38 +0300

squid (5.5-1) unstable; urgency=medium

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release

  * debian/patches/
    - remove upstreamed 0004-Change-default-Makefiles-for-debian.patch

 -- Luigi Gangitano <luigi@debian.org>  Fri, 15 Apr 2022 14:39:54 +0200

squid (5.2-1ubuntu5) kinetic; urgency=medium

  * SECURITY UPDATE: Denial of Service in Gopher Processing
    - debian/patches/CVE-2021-46784.patch: improve handling of Gopher
      responses in src/gopher.cc.
    - CVE-2021-46784

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Jun 2022 13:38:17 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #! /usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CFLAGS_MAINT_APPEND = -Wno-error=deprecated-declarations
+export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error=deprecated-declarations
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
 	DEB_LDFLAGS_MAINT_APPEND += -latomic
